SVG: Missing implementation for textLength
Open, NormalPublic

Description

Author: bpm230

Description:
(Please) Add support for the textLenght attribute of the text element in SVG. [1]

[1] http://www.w3.org/TR/SVG/text.html#TextElementTextLengthAttribute


Version: unspecified
Severity: minor
URL: http://commons.wikimedia.org/wiki/Image:Boustrophedon.svg

Details

Reference
bz13387
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz13387.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Mar 16 2008, 2:01 AM

Please file this bug upstream: http://tinyurl.com/2c9ahr

brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

giving SVG bugs back to the pool.

TheDJ added a comment.Dec 4 2011, 1:56 PM

Because

http://upload.wikimedia.org/wikipedia/commons/archive/c/c8/20080316014325%21Boustrophedon.svg

does not thumb yet as if it is justified, i believe this issue is not yet fixed.

brion added a comment.Dec 4 2011, 4:04 PM

Indeed. Though to be honest, Firefox 8 doesn't justify the text either. (Chrome 15 does though!)

Works now it seems?

TheDJ added a comment.Oct 26 2012, 2:21 PM

No not fully yet. Looks different in my browser when looking at the originals, the justification is not as intended it seems.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 4 2015, 3:47 AM

Works now it seems?

Not, it isn't working. https://upload.wikimedia.org/wikipedia/commons/archive/f/f5/20161016002358%21UP_logotype.svg

I edit from a smartphone, the font render correctly but does not work textLenght.